import * as i0 from "@angular/core";
/**
 * Popup Control Buttons.
 */
export declare class DbxPopupControlButtonsComponent {
    private readonly _appPopupController;
    readonly isMinimized$: import("rxjs").Observable<boolean>;
    readonly isFullscreen$: import("rxjs").Observable<boolean>;
    readonly isMinimizedSignal: import("@angular/core").Signal<boolean>;
    readonly isFullscreenSignal: import("@angular/core").Signal<boolean>;
    minimizeClicked(): void;
    maximizeClicked(): void;
    fullscreenClicked(): void;
    normalscreenClicked(): void;
    closeClicked(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DbxPopupControlButtonsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DbxPopupControlButtonsComponent, "dbx-popup-control-buttons", never, {}, {}, never, never, true, never>;
}
